import { Ref } from 'vue';
import { Page } from '@vuepress/core';

declare type PageIndex = {
    title: Page["title"];
    path: Page["path"];
    pathLocale: Page["pathLocale"];
    contents: PageContent[];
};
declare type PageContent = {
    header: string;
    slug: string;
    content: string;
};

declare type Word = {
    type: string;
    str: string;
};
declare type Suggestion = {
    path: string;
    parentPageTitle: string;
    title: string;
    display: Word[];
    page: PageIndex;
    content: PageContent | null;
    point: number;
};
/** Use suggestions */
declare function useSuggestions(query: Ref<string>): Ref<Suggestion[]>;

export { useSuggestions };
